Recent

Author Topic: Cannot install BGRAcontrols from Online Package manager  (Read 2813 times)

att2

  • New Member
  • *
  • Posts: 49
Cannot install BGRAcontrols from Online Package manager
« on: October 04, 2018, 02:49:12 pm »
Hello,

My system so far: Win10, 32GB Ram, dual core Xeon x5670, a virtual machine based on latest Virtualbox.
The VM: contains Linux Mint 19, 64 bit, latest version.

Installed inside Linux Mint 19 is Lazarus 1.8.4 and FPC 3.0.0 including cross-compile to ARM. Lazarus was installed by means of FPCUPDELUXE 1.6.1m.

The problem: A simple "hello world" program is perfectly cross-compiled to ARM and works there, on a RasPi3 (1 Button, 1 Memo).
BUT when I need a lot of components, the components will not compile. I am using the Online Package Manager to try to install the BGRAcontrols package, and it simply won't compile. It gives me an error : "Internal Error 2012090607".
I googled for this error. All the answers from here did not help so far, the error keeps re-occuring no matter what.

LAZARUS is run as user root, because of the OpenGL-Bug of VirtualBox (Lazarus will not run otherwise).

The log says:

Code: Pascal  [Select][+][-]
  1. Hint: (lazarus) Last compile was incomplete for bgracontrols 5.0.1
  2.   State file="/home/arm1/fpcupdeluxe/config_lazarus/onlinepackagemanager/packages/bgracontrols-master/lib/x86_64-linux/3.0.0/bgracontrols.compiled"
  3. Info: (lazarus) Execute Title="Compile package bgracontrols 5.0.1"
  4. Info: (lazarus) Working Directory="/home/arm1/fpcupdeluxe/config_lazarus/onlinepackagemanager/packages/bgracontrols-master/"
  5. Info: (lazarus) Executable="/home/arm1/fpcupdeluxe/fpc/bin/x86_64-linux/fpc.sh"
  6. Info: (lazarus) Param[0]="-B"
  7. Info: (lazarus) Param[1]="-MObjFPC"
  8. Info: (lazarus) Param[2]="-Scghi"
  9. Info: (lazarus) Param[3]="-CX"
  10. Info: (lazarus) Param[4]="-Cg"
  11. Info: (lazarus) Param[5]="-O3"
  12. Info: (lazarus) Param[6]="-OoREGVAR"
  13. Info: (lazarus) Param[7]="-l"
  14. Info: (lazarus) Param[8]="-vewnhibq"
  15. Info: (lazarus) Param[9]="-Fu/home/arm1/fpcupdeluxe/config_lazarus/onlinepackagemanager/packages/bgracontrols-master/mouseandkeyinput"
  16. Info: (lazarus) Param[10]="-Fu/home/arm1/fpcupdeluxe/lazarus/packager/units/x86_64-linux"
  17. Info: (lazarus) Param[11]="-Fu/home/arm1/fpcupdeluxe/lazarus/components/lazutils/lib/x86_64-linux"
  18. Info: (lazarus) Param[12]="-Fu/home/arm1/fpcupdeluxe/lazarus/lcl/units/x86_64-linux"
  19. Info: (lazarus) Param[13]="-Fu/home/arm1/fpcupdeluxe/lazarus/lcl/units/x86_64-linux/gtk2"
  20. Info: (lazarus) Param[14]="-Fu/home/arm1/fpcupdeluxe/config_lazarus/onlinepackagemanager/packages/bgrabitmap-master/bgrabitmap/lib/x86_64-linux/3.0.0"
  21. Info: (lazarus) Param[15]="-Fu/home/arm1/fpcupdeluxe/lazarus/components/lazcontrols/lib/x86_64-linux/gtk2"
  22. Info: (lazarus) Param[16]="-Fu/home/arm1/fpcupdeluxe/lazarus/components/ideintf/units/x86_64-linux/gtk2"
  23. Info: (lazarus) Param[17]="-Fu/home/arm1/fpcupdeluxe/config_lazarus/onlinepackagemanager/packages/bgracontrols-master/"
  24. Info: (lazarus) Param[18]="-FU/home/arm1/fpcupdeluxe/config_lazarus/onlinepackagemanager/packages/bgracontrols-master/lib/x86_64-linux/3.0.0/"
  25. Info: (lazarus) Param[19]="-dLCL"
  26. Info: (lazarus) Param[20]="-dLCLgtk2"
  27. Info: (lazarus) Param[21]="bgracontrols.pas"
  28. Hint: closing unneeded package "bgracontrols"
  29. LAZARUS END - cleaning up ...
  30. Hint: (lazarus) [TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
  31. Hint: (lazarus) [TMainIDE.Destroy] END
  32.  
  33. Free Pascal Compiler version 3.0.0-r32319 [2018/10/03] for x86_64
  34. Copyright (c) 1993-2015 by Florian Klaempfl and others
  35.  
  36. Lazarus: 1.8.4
  37.  

Any help is greatly appreciated. (and urgently needed!  %) %)   )


Thaddy

  • Hero Member
  • *****
  • Posts: 10449
Re: Cannot install BGRAcontrols from Online Package manager
« Reply #1 on: October 04, 2018, 03:02:56 pm »
- This internal error is defined in ncgutils.pas
- You are two! fpc releases behind (almost three) and many things were fixed in fpc 3.0.2 and (current) 3.0.4.
- Which makes your FPC version also unsupported.
- I personally always use the pi 3 itself to compile both FPC and Lazarus (with an enlarged swap)
- Both bgrabitmap and bgracontrols will not compile for the Raspberry Pi on my machine (Laz 2.1.0/fpc3.3.1) (illegal type conversions HDC to TgtkDeviceContext)
« Last Edit: October 04, 2018, 03:10:58 pm by Thaddy »
When you ask a question that is actually answered in the documentation, you are either lazy or a moron.

att2

  • New Member
  • *
  • Posts: 49
Re: Cannot install BGRAcontrols from Online Package manager
« Reply #2 on: October 04, 2018, 03:04:45 pm »
Ok so the complete internal error was, like: "bcsvgviewer.pas (228,13) Error: Internal Error 2012090607"
Which FPC version shall I use, then?

Thaddy

  • Hero Member
  • *****
  • Posts: 10449
Re: Cannot install BGRAcontrols from Online Package manager
« Reply #3 on: October 04, 2018, 03:13:52 pm »
Ok so the complete internal error was, like: "bcsvgviewer.pas (228,13) Error: Internal Error 2012090607"
Which FPC version shall I use, then?
Well: As I added after a test install for bgrabitmap and bgracontrols: It won't work at all on a Raspberry Pi 3, currently. But the safe way would be to use at least 3.0.4.
The bgracontrol maintainers should look into this, but the internal error should nevertheless be reported to the compiler team. That said: the svg base code has changed considerably in the mean time, but that won't help you out. There are more things wrong with the bgracontrols on linux armhf
« Last Edit: October 04, 2018, 03:16:27 pm by Thaddy »
When you ask a question that is actually answered in the documentation, you are either lazy or a moron.

att2

  • New Member
  • *
  • Posts: 49
Re: Cannot install BGRAcontrols from Online Package manager
« Reply #4 on: October 04, 2018, 04:24:06 pm »
Oh, I see. I'm glad someone knows and tells me as it is.
I just re-compiled with Lazarus 1.8.4 and FPC 3.2.0 and FPCUPDELUXE said:

(3104) Compiling bceffect.pas
(3104) Compiling bcfilters.pas
(3104) Compiling bcgamegrid.pas
(3104) Compiling bcimagebutton.pas
(10001) PPU Loading /home/arm1/fpc2/ccr/bgrabitmap/bgrabitmap/lib/x86_64-linux/3.2.0/bgraslicescaling.ppu
(10011) PPU Source: bgraslicescaling.pas not found
(10028) Recompiling BGRASliceScaling, checksum changed for /home/arm1/fpc2/ccr/bgrabitmap/bgrabitmap/lib/x86_64-linux/3.2.0/bgrabitmap.ppu
/home/arm1/fpc2/ccr/bgracontrols/bcimagebutton.pas(48,32) Fatal: (10022) Can't find unit BGRASliceScaling used by BCImageButton
Fatal: (1018) Compilation aborted
Error: /home/arm1/fpc2/fpc/bin/x86_64-linux/ppcx64 returned an error exitcode
Error: (lazarus) Compile package bgracontrols 5.0.1: stopped with exit code 256
Error: (lazarus) [TLazPackageGraph.CompileRequiredPackages] "Exit code 256"

fpcupdeluxe: ERROR: UniversalInstaller (ConfigModule: bgracontrols): Failure trying to rebuild Lazarus.
Details:


ERROR: Fpcupdeluxe fatal error !


(if that is any help)

att2

  • New Member
  • *
  • Posts: 49
Re: Cannot install BGRAcontrols from Online Package manager
« Reply #5 on: October 07, 2018, 07:32:27 pm »
Well, I finally managed to compile the BGRAcontrols. I am using LinuxMint 19 with FPC 3.2.0 ; cross-compiling to ARM (RasPI3) produces a EXE ; however I have not tried out that EXE on a real RasPI at the moment.
Hope that helps.....

 

TinyPortal © 2005-2018